import request from '../../utils/request'

export function getSuperMap(codes) {
  return request({
    url: '/center-data/supermap/maplist?codes=' + codes,
    method: 'get'
  })
}

export const iconList = {
  'marker': require('@/assets/images/cameraType/marker.png'),
  'big-horn': require('@/assets/images/cameraType/big-horn.png'),
  'camera': require('@/assets/images/cameraType/camera.png'),
  'camera-not': require('@/assets/images/cameraType/camera-not.png'),
  'not-online': require('@/assets/images/cameraType/not-online.png'),
  'sensor': require('@/assets/images/cameraType/sensor.png'),
  'sj-icon-map-fhjcz': require('@/assets/icons/sj-icon-map/sj-icon-map-fhjcz.png'),
  'sj-icon-map-lc': require('@/assets/icons/sj-icon-map/sj-icon-map-lc.png'),
  'sj-icon-map-qjd': require('@/assets/icons/sj-icon-map/sj-icon-map-qjd.png'),
  'sj-icon-map-qsk': require('@/assets/icons/sj-icon-map/sj-icon-map-qsk.png'),
  'sj-icon-map-qxz': require('@/assets/icons/sj-icon-map/sj-icon-map-qxz.png'),
  'sj-icon-map-sh': require('@/assets/icons/sj-icon-map/sj-icon-map-sh.png'),
  'sj-icon-map-slfh': require('@/assets/icons/sj-icon-map/sj-icon-map-slfh.png'),
  'sj-icon-map-syqd': require('@/assets/icons/sj-icon-map/sj-icon-map-syqd.png'),
  'sj-icon-map-xhs': require('@/assets/icons/sj-icon-map/sj-icon-map-xhs.png')
}
